Package org.drinkless.tdlib

# Class TdApi.TonTransactionTypeUpgradedGiftPurchase

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TonTransactionType
org.drinkless.tdlib.TdApi.TonTransactionTypeUpgradedGiftPurchase

Enclosing class:
  `TdApi`

public static class TdApi.TonTransactionTypeUpgradedGiftPurchase extends TdApi.TonTransactionType
The transaction is a purchase of an upgraded gift for some user or channel.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TonTransactionType

  `TdApi.TonTransactionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.UpgradedGift`
  `gift`
  The gift.
  `long`
  `userId`
  Identifier of the user who sold the gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TonTransactionTypeUpgradedGiftPurchase()`
  The transaction is a purchase of an upgraded gift for some user or channel.
  `TonTransactionTypeUpgradedGiftPurchase(long userId, TdApi.UpgradedGift gift)`
  The transaction is a purchase of an upgraded gift for some user or channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user who sold the gift.

  - ### gift

    public TdApi.UpgradedGift gift
    The gift.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TonTransactionTypeUpgradedGiftPurchase

    public TonTransactionTypeUpgradedGiftPurchase()
    The transaction is a purchase of an upgraded gift for some user or channel.

  - ### TonTransactionTypeUpgradedGiftPurchase

    public TonTransactionTypeUpgradedGiftPurchase(long userId, TdApi.UpgradedGift gift)
    The transaction is a purchase of an upgraded gift for some user or channel.
    Parameters:
      `userId` - Identifier of the user who sold the gift.
      `gift` - The gift.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TonTransactionType`
    Returns:
      this.CONSTRUCTOR